<div class="modal">
  <button type="button" class="close" (click)="closeModal()">
    <span aria-hidden="true">&times;</span>
  </button>
  <div class="all-in-one-table">
    <elastic-page-header
      [height]="'100px'"
      background="url(assets/img/demo/headers/pattern-3.png)"
      [reverse]="true"
    >
    </elastic-page-header>
    <h1>sanciones</h1>
    <div class="scroll">
      <label *ngIf="save==false"  class="alert" >!Sancion Activa! No se puede crear una nueva sancion</label>
      <mat-form-field class="example-full-width">
        <mat-label>Nombre</mat-label>
        <input matInput value="{{ modalUser.name }}" disabled="true" />
      </mat-form-field>
      <mat-form-field class="example-full-width">
        <mat-label>Apellido</mat-label>
        <input matInput value="{{ lastname }}" disabled="true" />
      </mat-form-field>
      <mat-form-field class="example-full-width">
        <mat-label>Correo electronico</mat-label>
        <input matInput value="{{ modalUser.email }}" disabled="true" />
      </mat-form-field>
      <form id="penaltys" [formGroup]="form" (ngSubmit)="saveModal()">
        <mat-form-field class="example-full-width">
          <mat-label>Tipos de sancion</mat-label>
          <select matNativeControl (change)="typePenalty($event.target.value)" formControlName="type" class="form-control">
            <option value="" selected disabled>Elija una opcion</option>
            <option *ngFor="let item of penaltys" value="{{ item }}">
              {{ item }}
            </option>
          </select>
        </mat-form-field>
        <div class="flexDates">
          <mat-form-field class="marginDate">
            <mat-label>Fecha inicial sancion</mat-label>
            <input matInput value="{{ startDate }}"  disabled="true"/>
          </mat-form-field>
          <mat-form-field>
            <mat-label>Fecha final sancion</mat-label>
            <input
              matInput
              value="{{ endDate }}"
              disabled="true"

            />
          </mat-form-field>
        </div>
        <mat-form-field class="example-full-width">
          <mat-label>Justificacion</mat-label>
          <input
            matInput
            value="justificacion"
            disabled="true"
            style="display: none"
            formControlName="reason" class="form-control"
          />
          <textarea matInput placeholder="Se sanciona por..." formControlName="reason" class="form-control"></textarea>
        </mat-form-field>

        <section class="butt">
          <div class="example-button-row">
            <button mat-raised-button color="primary" (click)="closeModal()">Cancelar</button>
            <button *ngIf="save==true" mat-raised-button color="primary" type="submit">Guardar</button>
            <button *ngIf="save==false"  disabled="{{ save==false }}"mat-raised-button >Guardar</button>
          </div>
        </section>
        <!-- <label *ngIf="save==false"  class="alert" >!Sancion Activa! No se puede crear una nueva sancion</label> -->
      </form>
    </div>
  </div>
</div>
